<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HackingFormulas](./bitburner.hackingformulas.md) &gt; [growAmount](./bitburner.hackingformulas.growamount.md)

## HackingFormulas.growAmount() method

Calculate the amount of money a grow action will leave a server with. Starting money is server.moneyAvailable. Note that when simulating the effect of [grow](./bitburner.ns.grow.md)<!-- -->, what matters is the state of the server and player when the grow \*finishes\*, not when it is started.

The growth amount depends both linearly \*and\* exponentially on threads; see [grow](./bitburner.ns.grow.md) for more details.

The inverse of this function is [formulas.hacking.growThreads](./bitburner.hackingformulas.growthreads.md)<!-- -->, although it rounds up to integer threads.

**Signature:**

```typescript
growAmount(server: Server, player: Person, threads: number, cores?: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

server


</td><td>

[Server](./bitburner.server.md)


</td><td>

Server info, typically from [getServer](./bitburner.ns.getserver.md)


</td></tr>
<tr><td>

player


</td><td>

[Person](./bitburner.person.md)


</td><td>

Player info, typically from [getPlayer](./bitburner.ns.getplayer.md)


</td></tr>
<tr><td>

threads


</td><td>

number


</td><td>

Number of threads to grow with. Can be fractional.


</td></tr>
<tr><td>

cores


</td><td>

number


</td><td>

_(Optional)_ Number of cores on the computer that will execute grow.


</td></tr>
</tbody></table>

**Returns:**

number

The amount of money after the calculated grow.

